#
# Conditional build:
%bcond_with	tests		# build without tests

%define pkgname json
Summary:	JSON library for Ruby
Summary(pl.UTF-8):	Biblioteka JSON dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.7.7
Release:	2
License:	Ruby
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	9084ee2e853f55d956d043cba46e25fc
URL:		http://flori.github.com/json
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
%if %{with tests}
BuildRequires:	ruby-permutation
BuildRequires:	ruby-sdoc < 0.4
BuildRequires:	ruby-sdoc >= 0.3.16
%endif
Obsoletes:	ruby-json-rubyforge
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a JSON implementation as a Ruby extension in C.

%description -l pl.UTF-8
Biblioteka JSON dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q
cp -p %{_datadir}/setup.rb .

%build
%__gem_helper spec

%{__ruby} setup.rb config \
	--rbdir=%{ruby_vendorlibdir} \
	--sodir=%{ruby_vendorarchdir}

%{__ruby} setup.rb setup

rdoc -o rdoc lib
rdoc --ri -o ri lib/*
rm ri/created.rid
rm ri/cache.ri
# system libs
rm -r ri/{Class,Date,DateTime,Exception,Kernel} \
	ri/{Range,Regexp,Struct,Symbol,Time,BigDecimal,Complex,OpenStruct,Rational}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}
%{__ruby} setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

rmdir $RPM_BUILD_ROOT%{ruby_vendorlibdir}/json/ext

# huh?
%{__rm} $RPM_BUILD_ROOT%{_datadir}/{example.json,index.html,prototype.js}

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README* TODO
%{ruby_vendorlibdir}/json
%{ruby_vendorlibdir}/json.rb
%dir %{ruby_vendorarchdir}/json
%dir %{ruby_vendorarchdir}/json/ext
%attr(755,root,root) %{ruby_vendorarchdir}/json/ext/generator.so
%attr(755,root,root) %{ruby_vendorarchdir}/json/ext/parser.so
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/JSON
%changelog
* Mon Jun 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-json.git;a=log;h=master

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 73fb4ae
- build with rubygems provides

* Thu Jun 20 2013 Elan Ruusamäe <glen@delfi.ee> 76a112b
- correct md5

* Thu Jun 20 2013 Elan Ruusamäe <glen@delfi.ee> 0454efe
- up to 1.7.7, use vendor dirs

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 7a9ab46
- rpm5 can unpack .gem, adjust deps; cleanups

* Thu Dec 02 2010 Jan Rękorajski <baggins@pld-linux.org> 69ae5d7
- 1.4.6

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 4eb5d8b
- use macros

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> a7ec6d8
- added rdoc and ri packages

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> ca944d0
- up to 1.1.9

* Wed Jul 08 2009 aredridel <aredridel@pld-linux.org> 2695dbf
- use new setup.rb

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8723577
- drop obsolete files

* Fri Jul 06 2007 aredridel <aredridel@pld-linux.org> 26cdb01
- 1.1.1

* Sun Apr 15 2007 Jakub Bogusz <qboosh@pld-linux.org> f5d98c4
- Obsoletes: ruby-json-rubyforge

* Sun Apr 15 2007 aredridel <aredridel@pld-linux.org> eef47f5
- package binary extension

* Sun Apr 15 2007 aredridel <aredridel@pld-linux.org> 9a9eb92
- 1.0.2

* Sun Apr 15 2007 aredridel <aredridel@pld-linux.org> 85c8fcc
- mv ruby-json-florian.spec ruby-json.spec

* Sun Apr 15 2007 aredridel <aredridel@pld-linux.org> a91a8e1
- Obsolete

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 254ede1
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> efba29c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 590d07d
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> ba50f09
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

